Module | Sequel::Dataset::NullDataset
In: | lib/sequel/extensions/null_dataset.rb

### Methods

_import columns delete each fetch_rows insert truncate update

### Public Instance methods

columns()

Create a new dataset from the dataset (which won‘t be nulled) to get the columns if they aren‘t already cached.

[Source]

        # File lib/sequel/extensions/null_dataset.rb, line 33
    33:       def columns
    34:         @columns ||= db.dataset(@opts).columns
    35:       end

delete()

Return 0 without sending a database query.

[Source]

        # File lib/sequel/extensions/null_dataset.rb, line 38
    38:       def delete
    39:         0
    40:       end

each()

Return self without sending a database query, never yielding.

[Source]

        # File lib/sequel/extensions/null_dataset.rb, line 43
    43:       def each
    44:         self
    45:       end

fetch_rows(sql)

Return nil without sending a database query, never yielding.

[Source]

        # File lib/sequel/extensions/null_dataset.rb, line 48
    48:       def fetch_rows(sql)
    49:         nil
    50:       end

insert(*)

Return nil without sending a database query.

[Source]

        # File lib/sequel/extensions/null_dataset.rb, line 53
    53:       def insert(*)
    54:         nil
    55:       end

truncate()

Return nil without sending a database query.

[Source]

        # File lib/sequel/extensions/null_dataset.rb, line 58
    58:       def truncate
    59:         nil
    60:       end

update(v={})

Return 0 without sending a database query.

[Source]

        # File lib/sequel/extensions/null_dataset.rb, line 63
    63:       def update(v={})
    64:         0
    65:       end

### Protected Instance methods

_import(columns, values, opts)

Return nil without sending a database query.

[Source]

        # File lib/sequel/extensions/null_dataset.rb, line 70
    70:       def _import(columns, values, opts)
    71:         nil
    72:       end

[Validate]